pskc_str2pinusagemode(3)

NAME
pskc_str2pinusagemode - API function

SYNOPSIS
#include <pskc.h>

pskc_pinusagemode pskc_str2pinusagemode(const char * pinusagemode);

ARGUMENTS

const char * pinusagemode
    an string describing a key usage.

DESCRIPTION
Convert a string to a pskc_pinusagemode type. For example, pskc_str2pinusagemode("Local") will return PSKC_PINUSAGEMODE_LOCAL.

RETURNS
The corresponding pskc_pinusagemode value.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.